aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Benjamin Barenblat <bbarenblat@gmail.com>2021-12-14 13:36:09 -0500
committerGravatar Benjamin Barenblat <bbarenblat@gmail.com>2021-12-14 13:36:09 -0500
commitf26f940bab095a18c0985049efce4333b82fa9c6 (patch)
treeb243edc584a1bd763da184722a89894cdc6f3fb0
parenta4635fb95235ba4bf077bd59957da0626fc5ba72 (diff)
Add script to run all tests
-rwxr-xr-xscripts/run_all_tests25
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/run_all_tests b/scripts/run_all_tests
new file mode 100755
index 0000000..a73ca23
--- /dev/null
+++ b/scripts/run_all_tests
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright 2021 Google LLC
+# Copyright 2021 Benjamin Barenblat
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
+# use this file except in compliance with the License. You may obtain a copy of
+# the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations under
+# the License.
+
+set -eu -o pipefail
+
+readonly TESTS=(src/builtin_test src/language_test src/parser_driver_test)
+
+cd "$(dirname "$(realpath "$0")")/.."
+ninja "${TESTS[@]}"
+for test in "${TESTS[@]}"; do
+ "./$test"
+done